summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2011-03-02 17:39:59 +0000
committerramon <ramongomez@us.es>2011-03-02 17:39:59 +0000
commit2338c95f5ab7569bbce01178ea1426555271e5a4 (patch)
treed1744759c0d0c578191210f08cab9e71c095b0e9 /installer
parent803bc36238663cda57898d83bc90b7a3d232b60f (diff)
Rama version1.0:
* Redistribución de directorios para el cliente. * Modificación del instalador para adaptarse a la nueva estructura de directorios. * Desinstalador quita los recursos de OpenGnSys en Samba. * Documentación actualizada para la nueva versión. git-svn-id: https://opengnsys.es/svn/branches/version1.0@1526 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rw-r--r--installer/INSTALL.es.txt4
-rwxr-xr-xinstaller/opengnsys_installer.sh38
-rwxr-xr-xinstaller/opengnsys_uninstall.sh5
3 files changed, 22 insertions, 25 deletions
diff --git a/installer/INSTALL.es.txt b/installer/INSTALL.es.txt
index 5ea029e2..76679026 100644
--- a/installer/INSTALL.es.txt
+++ b/installer/INSTALL.es.txt
@@ -10,7 +10,7 @@ Descargar una versión completa y desccomprimir el fichero "opengnsys-version.ta
cd opengnsys-version/installer
O bien, descargar el instalador desde la última reversión del repositorio:
- svn export http://www.opengnsys.es/svn/trunk/installer/opengnsys_installer.sh
+ svn export http://www.opengnsys.es/svn/branches/version1.0/installer/opengnsys_installer.sh
Ejecutar el instalador como root:
sudo ./opengnsys_installer.sh
@@ -26,7 +26,7 @@ Descargar el fichero opengnsys-version.tar.gz y descomprimirlo:
cd opengnsys-version/installer
O bien, descargar el actualizador desde la última revisión del repositorio:
- svn export http://www.opengnsys.es/svn/trunk/installer/opengnsys_update.sh
+ svn export http://www.opengnsys.es/svn/branches/version1.0/installer/opengnsys_update.sh
Ejecutar el programa de actualización como root:
sudo ./opengnsys_installer.sh
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index 94ded64d..051f448f 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -859,25 +859,19 @@ function openGnsysCopyServerFiles () {
local path_opengnsys_base=$1
- local SOURCES=( client/boot/initrd-generator \
- client/boot/upgrade-clients-udeb.sh \
- client/boot/udeblist.conf \
- client/boot/udeblist-jaunty.conf \
- client/boot/udeblist-karmic.conf \
- client/boot/udeblist-lucid.conf \
- client/boot/udeblist-maverick.conf \
- server/tftpboot/pxelinux.cfg \
+ # No se copian los ficheros del cliente antiguo:
+ # - client/boot/initrd-generator ==> /opt/opengnsys/bin
+ # - client/boot/upgrade-clients-udeb.sh ==> /opt/opengnsys/bin
+ # - client/boot/udeblist.conf ==> /opt/opengnsys/etc
+ # - client/boot/udeblist-jaunty.conf ==> /opt/opengnsys/etc
+ # - client/boot/udeblist-karmic.conf ==> /opt/opengnsys/etc
+ # - client/boot/udeblist-lucid.conf ==> /opt/opengnsys/etc
+ # - client/boot/udeblist-maverick.conf ==> /opt/opengnsys/etc
+ local SOURCES=( server/tftpboot/pxelinux.cfg \
server/bin \
repoman/bin \
doc )
- local TARGETS=( bin/initrd-generator \
- bin/upgrade-clients-udeb.sh \
- etc/udeblist.conf \
- etc/udeblist-jaunty.conf \
- etc/udeblist-karmic.conf \
- etc/udeblist-lucid.conf \
- etc/udeblist-maverick.conf \
- tftpboot/pxelinux.cfg \
+ local TARGETS=( tftpboot/pxelinux.cfg \
bin \
bin \
doc )
@@ -944,7 +938,7 @@ function servicesCompilation ()
# Compilar OpenGnSys Client
echoAndLog "${FUNCNAME}(): Compiling OpenGnSys Admin Client"
pushd $WORKDIR/opengnsys/admin/Sources/Clients/ogAdmClient
- make && mv ogAdmClient ../../../../client/nfsexport/bin
+ make && mv ogAdmClient ../../../../client/shared/bin
if [ $? -ne 0 ]; then
echoAndLog "${FUNCNAME}(): error while compiling OpenGnSys Admin Client"
hayErrores=1
@@ -986,7 +980,7 @@ function openGnsysOldClientCreate()
local hayErrores=0
echoAndLog "${FUNCNAME}(): Copying OpenGnSys Client files."
- cp -ar $WORKDIR/opengnsys/client/nfsexport/* $INSTALL_TARGET/client
+ cp -ar $WORKDIR/opengnsys/client/shared/* $INSTALL_TARGET/client
find $INSTALL_TARGET/client -name .svn -type d -exec rm -fr {} \; 2>/dev/null
echoAndLog "${FUNCNAME}(): Copying OpenGnSys Cloning Engine files."
mkdir -p $INSTALL_TARGET/client/lib/engine/bin
@@ -1292,10 +1286,10 @@ fi
popd
# Crear la estructura del antiguo cliente initrd de OpenGnSys 0.10
-openGnsysOldClientCreate
-if [ $? -ne 0 ]; then
- errorAndLog "Warning: cannot create old initrd client"
-fi
+#openGnsysOldClientCreate
+#if [ $? -ne 0 ]; then
+# errorAndLog "Warning: cannot create old initrd client"
+#fi
# Crear la estructura del cliente de OpenGnSys 1.0
openGnsysClientCreate
if [ $? -ne 0 ]; then
diff --git a/installer/opengnsys_uninstall.sh b/installer/opengnsys_uninstall.sh
index 74b3c8f5..d9d2d98d 100755
--- a/installer/opengnsys_uninstall.sh
+++ b/installer/opengnsys_uninstall.sh
@@ -45,9 +45,12 @@ for dir in $OPENGNSYS/*; do
fi
done
rm -f /etc/init.d/opengnsys /etc/default/opengnsys
+# Comentar recursos de OpenGnSys en Samba.
+perl -pi -e "s/^ *include \= \/etc\/samba\/smb-og.conf/\; include \= \/etc\/samba\/smb-og.conf/" /etc/samba/smb.conf
+/etc/init.d/smbd restart
# Tareas manuales a realizar después de desinstalar.
echo "Manual tasks:"
echo "- You may stop or uninstall manually all other services"
-echo " (DHCP, PXE, TFTP, NFS, Apache, MySQL)."
+echo " (DHCP, PXE, TFTP, NFS/Samba, Apache, MySQL)."
echo "- Delete repository directory \"$OPENGNSYS/$OGIMG\""